#pragma once

// A 2-D point.
struct posn
{
    double x;
    double y;
};

// Reads a struct posn from stdin and returns it.
//
// Errors:
//  - IO error: exits with non-zero error code
//  - End-of-file: exits cleanly
struct posn read_posn(void);

// Constructs a struct posn from its x and y components.
struct posn make_posn(double x, double y);

// Computes the Manhattan distance between two posns.
double manhattan_dist(struct posn, struct posn);
